OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NV.FramebufferMixedSamples

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVFramebufferMixedSamples :: MonadIO m => m Bool
- gl_NV_framebuffer_mixed_samples :: Bool
- pattern GL_COLOR_SAMPLES_NV :: GLenum
- pattern GL_COVERAGE_MODULATION_NV :: GLenum
- pattern GL_COVERAGE_MODULATION_TABLE_NV :: GLenum
- pattern GL_COVERAGE_MODULATION_TABLE_SIZE_NV :: GLenum
- pattern GL_DEPTH_SAMPLES_NV :: GLenum
- pattern GL_EFFECTIVE_RASTER_SAMPLES_EXT :: GLenum
- pattern GL_MAX_RASTER_SAMPLES_EXT :: GLenum
- pattern GL_MIXED_DEPTH_SAMPLES_SUPPORTED_NV :: GLenum
- pattern GL_MIXED_STENCIL_SAMPLES_SUPPORTED_NV :: GLenum
- pattern GL_MULTISAMPLE_RASTERIZATION_ALLOWED_EXT :: GLenum
- pattern GL_RASTER_FIXED_SAMPLE_LOCATIONS_EXT :: GLenum
- pattern GL_RASTER_MULTISAMPLE_EXT :: GLenum
- pattern GL_RASTER_SAMPLES_EXT :: GLenum
- pattern GL_STENCIL_SAMPLES_NV :: GLenum
- glCoverageModulationNV :: MonadIO m => GLenum -> m ()
- glCoverageModulationTableNV :: MonadIO m => GLsizei -> Ptr GLfloat -> m ()
- glGetCoverageModulationTableNV :: MonadIO m => GLsizei -> Ptr GLfloat -> m ()
- glRasterSamplesEXT :: MonadIO m => GLuint -> GLboolean -> m ()

# Extension Support

glGetNVFramebufferMixedSamples :: MonadIO m => m Bool Source #

Is the NV_framebuffer_mixed_samples extension supported?

gl_NV_framebuffer_mixed_samples :: Bool Source #

Is the NV_framebuffer_mixed_samples extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVFramebufferMixedSamples` in those cases instead.

# Enums

pattern GL_COLOR_SAMPLES_NV :: GLenum Source #

pattern GL_COVERAGE_MODULATION_NV :: GLenum Source #

pattern GL_COVERAGE_MODULATION_TABLE_NV :: GLenum Source #

pattern GL_COVERAGE_MODULATION_TABLE_SIZE_NV :: GLenum Source #

pattern GL_DEPTH_SAMPLES_NV :: GLenum Source #

pattern GL_EFFECTIVE_RASTER_SAMPLES_EXT :: GLenum Source #

pattern GL_MAX_RASTER_SAMPLES_EXT :: GLenum Source #

pattern GL_MIXED_DEPTH_SAMPLES_SUPPORTED_NV :: GLenum Source #

pattern GL_MIXED_STENCIL_SAMPLES_SUPPORTED_NV :: GLenum Source #

pattern GL_MULTISAMPLE_RASTERIZATION_ALLOWED_EXT :: GLenum Source #

pattern GL_RASTER_FIXED_SAMPLE_LOCATIONS_EXT :: GLenum Source #

pattern GL_RASTER_MULTISAMPLE_EXT :: GLenum Source #

pattern GL_RASTER_SAMPLES_EXT :: GLenum Source #

pattern GL_STENCIL_SAMPLES_NV :: GLenum Source #

# Functions

glCoverageModulationNV Source #

Arguments

:: MonadIO m |
=> GLenum | `components`.
-> m () |

glCoverageModulationTableNV Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLfloat | `v` pointing to `n` elements of type `GLfloat`.
-> m () |

glGetCoverageModulationTableNV Source #

Arguments

:: MonadIO m |
=> GLsizei | `bufSize`.
-> Ptr GLfloat | `v`.
-> m () |

glRasterSamplesEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `samples`.
-> GLboolean | `fixedsamplelocations` of type Boolean.
-> m () |